From 6aa8bc7071dfdf54d89834130e59ca7db42ede8b Mon Sep 17 00:00:00 2001
From: Peter Van Eynde <>
Date: Wed, 25 May 2005 06:23:00 +0000
Subject: [PATCH] also rebuild lisp images after install

---
 debian/changelog |  6 +++--
 debian/postinst  | 62 ++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 66 insertions(+), 2 deletions(-)
 create mode 100644 debian/postinst

diff --git a/debian/changelog b/debian/changelog
index 00f4b1bc..ca2e3451 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -2,9 +2,11 @@ cl-asdf (1.86-5) unstable; urgency=low
 
   * Fixed duplicate components patch to better handle reloading
     defsystem files. Now works again with McClim. Closes: #310640
-  * Corrected dependencies. 
+  * Corrected dependencies.
+  * Added postinst rebuild of all clc-enabled lisps so the new version
+    actually gets loaded. 
 
- -- Peter Van Eynde <pvaneynd@debian.org>  Wed, 25 May 2005 07:27:35 +0200
+ -- Peter Van Eynde <pvaneynd@debian.org>  Wed, 25 May 2005 08:22:17 +0200
 
 cl-asdf (1.86-4) unstable; urgency=low
 
diff --git a/debian/postinst b/debian/postinst
new file mode 100644
index 00000000..8094f3bb
--- /dev/null
+++ b/debian/postinst
@@ -0,0 +1,62 @@
+#!/bin/bash
+# postinst script for common-lisp-controller
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+#        * <postinst> `configure' <most-recently-configured-version>
+#        * <old-postinst> `abort-upgrade' <new version>
+#        * <conflictor's-postinst> `abort-remove' `in-favour' <package>
+#          <new-version>
+#        * <deconfigured's-postinst> `abort-deconfigure' `in-favour'
+#          <failed-install-package> <version> `removing'
+#          <conflicting-package> <version>
+# for details, see /usr/share/doc/packaging-manual/
+#
+# quoting from the policy:
+#     Any necessary prompting should almost always be confined to the
+#     post-installation script, and should be protected with a conditional
+#     so that unnecessary prompting doesn't happen if a package's
+#     installation fails and the `postinst' is called with `abort-upgrade',
+#     `abort-remove' or `abort-deconfigure'.
+
+
+. /usr/share/debconf/confmodule 
+
+case "$1" in
+    configure)
+        #  We need to rebuild the images
+	for compiler in /usr/lib/common-lisp/bin/*.sh ; do
+	    if [ -f "$compiler" -a -r "$compiler" ] ; then
+		i=${compiler##*/}
+		i=${i%.sh}
+		if [ -x "$compiler" ] ; then
+		    echo Reinstalling for $i
+		    echo Recompiling Common Lisp Controller for $i
+		    bash "$compiler" install-clc || true
+		    echo
+		    echo Done rebuilding
+		fi 
+	    fi
+	done 
+	;;
+    
+    abort-upgrade|abort-remove|abort-deconfigure)
+    ;;
+
+    *)
+        echo "postinst called with unknown argument \`$1'" >&2
+        exit 0
+    ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
+
+
-- 
GitLab